
-------- SIMTEL20 Ada Software Repository Prologue ------------
--                                                           -*
-- Unit name    : HF-GRAMMAR
-- Version      : 1.0
-- Author       : Herman Fischer
--              : Litton Data Systems
--              : 8000 Woodley Ave, ms 44-30
--              : Van Nuys, CA
--              : 818-902-5139
-- Credits      : G Fisher and P Charles
-- DDN Address  : HFischer@ECLB
-- Copyright    : (c) Herm Fischer 1984
-- Date created : 
-- Release date : 15 Dec 84
-- Last update  : 26 Mar 84
-- Machine/System Compiled/Run on : UNIX
--                                                           -*
---------------------------------------------------------------
--                                                           -*
-- Keywords     :  Ada, Grammar, UNIX, LALR, LALR(1), YACC
----------------:
--
-- Abstract     :  
----------------:  
--									     
--			 A LALR(1) grammar for ANSI Ada*		     
--									     
--			 Adapted for YACC (UNIX) Inputs 		     
--									     
--                                                                           
--                             Herman Fischer                                
--                           Litton Data Systems                             
--                       8000 Woodley Ave., ms 44-30                         
--                              Van Nuys, CA                                 
--                                                                           
--                              818/902-5139                                 
--                           HFischer@eclb.arpa                              
--                        {cepu,trwrb}!litvax!fischer                        
--                                                                           
--                             March 26, 1984                                
--									     
--                   A Contribution to the Public Domain                     
--                                   for                                     
--            Research, Development, and Training Purposes Only              
--                                                                           
--       Any Corrections or Problems are to be Reported to the Author        
--                                                                           
--                                                                           
--                                                                           
--                              adapted from                                 
--                              the grammar                                  
--                                  by:                                      
--									     
--            Gerry Fisher                         Philippe Charles          
--                                                                           
--    Computer Sciences Corporation     &             Ada  Project           
--         4045 Hancock Street                     New York University       
--         San Diego, CA 92121                      251 Mercer Street        
--                                               New York, New York 10012    
--									     
--									     
--    This grammar is organized in the same order as the syntax summary     
-- in appendix E of the ANSI Ada Reference Manual.   All reserved words     
-- are	 written  in  upper  case  letters.    The  lexical  categories     
-- numeric_literal, string_literal, etc, are viewed as terminals.   The     
-- rules  for  pragmas as  stated in  chapter 2,  section 8,  have been     
-- incorporated in the grammar.   Comments are included wherever we had     
-- to deviate from the syntax given in appendix E. Different symbols	    
-- used here (to comply with yacc requirements) are of note:		    
--	{,something}	is denoted ...something..			     
--	{something}	is denoted ..something..			     
--	[something]	is denoted .something.				    
-- Constructs involving                                                     
-- meta brackets, e.g., ...identifier.. are represented by a nonterminal    
-- formed  by  concatenating  the  construct symbols ( as ...identifier..   
-- in the example)   for  which  the  rules are given at the end.  When     
-- reading  this  grammar,  it	is  important to  note that all symbols     
-- appearing  in the  rules are  separated by  one or  more  blanks.  A     
-- string  such  as   'identifier_type_mark   is  actually  a   single      
-- nonterminal symbol defined at the end of the rules.  The '--' symbol     
-- is used  to indicate that the rest of  the  line is a comment,  just     
-- as in yacc programs.                                                     
--                                                                          
--     This grammar is presented here in a form suitable for input to a     
-- yacc parser generator.  It has  been  processed  by the Bell System      
-- III lex/yacc combination, and tested against over 400 ACVC tests.        
--									    
-- *Ada is a registered trade mark of the  Department of  Defense  (Ada     
-- Joint Program  Office).						     
--									     


--                                                           -*
------------------ Revision history ---------------------------
--                                                           -*
-- DATE         VERSION	AUTHOR                  HISTORY
-- 12/15/84	1.0	Herman Fischer		Initial Release
--                                                           -*
------------------ Distribution and Copyright -----------------
--                                                           -*
-- This prologue must be included in all copies of this software.
--
-- This software is copyright by the author.
--
-- This software is released to the Ada community.
-- This software is released to the Public Domain (note:
--   software released to the Public Domain is not subject
--   to copyright protection).
-- Restrictions on use or distribution: See above for the author's
--	requested restrictions; commercial use (ie, sale) prohibited
--                                                           -*
------------------ Disclaimer ---------------------------------
--                                                           -*
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--                                                           -*
-------------------END-PROLOGUE--------------------------------
